###Index
* [言語非依存](#%e8%a8%80%e8%aa%9e%e9%9d%9e%e4%be%9d%e5%ad%98)
    * [アクセシビリティ](#%e3%82%a2%e3%82%af%e3%82%bb%e3%82%b7%e3%83%93%e3%83%aa%e3%83%86%e3%82%a3)
    * [iOS](#ios)
    * [グラフィックスプログラミング](#%e3%82%b0%e3%83%a9%e3%83%95%e3%82%a3%e3%83%83%e3%82%af%e3%82%b9%e3%83%97%e3%83%ad%e3%82%b0%e3%83%a9%e3%83%9f%e3%83%b3%e3%82%b0)
    * [グラフィックユーザーインターフェイス](#%e3%82%b0%e3%83%a9%e3%83%95%e3%82%a3%e3%83%83%e3%82%af%e3%83%a6%e3%83%bc%e3%82%b6%e3%83%bc%e3%82%a4%e3%83%b3%e3%82%bf%e3%83%bc%e3%83%95%e3%82%a7%e3%82%a4%e3%82%b9)
    * [正規表現](#%e6%ad%a3%e8%a6%8f%e8%a1%a8%e7%8f%be)
    * [ソフトウェアアーキテクチャ](#%e3%82%bd%e3%83%95%e3%83%88%e3%82%a6%e3%82%a7%e3%82%a2%e3%82%a2%e3%83%bc%e3%82%ad%e3%83%86%e3%82%af%e3%83%81%e3%83%a3)
    * [その他の話題](#%e3%81%9d%e3%81%ae%e4%bb%96%e3%81%ae%e8%a9%b1%e9%a1%8c)
* [AppleScript](#applescript)
* [AWK](#awk)
* [Bash](#bash)
* [C](#c)
* [C++](#c-1)
* [CoffeeScript](#coffeescript)
* [Common Lisp](#common-lisp)
* [Emacs Lisp](#emacs-lisp)
* [Erlang](#erlang)
* [Git](#git)
* [Go](#go)
* [Haskell](#haskell)
* [Haxe](#haxe)
* [Java](#java)
* [JavaScript](#javascript)
    * [Backbone.js](#backbonejs)
    * [D3.js](#d3js)
    * [jQuery](#jquery)
    * [Node.js](#nodejs)
* [LaTeX](#latex)
* [Lua](#lua)
* [NoSQL](#nosql)
* [Objective-C](#objective_c)
* [OCaml](#ocaml)
* [Perl](#perl)
* [Processing](#processing)
* [PHP](#php)
* [PowerShell](#powershell)
* [Prolog](#prolog)
* [Python](#python)
* [R](#r)
* [Ruby](#ruby)
* [Scheme](#scheme)
* [Standard ML](#standard-ml)
* [Squeak](#squeak)
* [Tcl/Tk](#tcl-ftk)
* [VBA](#vba)
* [Vim](#vim)


###言語非依存
####アクセシビリティ

* [iOS アクセシビリティ プログラミング ガイド](https://developer.apple.com/jp/devcenter/ios/library/documentation/iPhoneAccessibility.pdf) (PDF) - Apple Developer
* [Accessible Rich Internet Applications](https://developer.mozilla.org/ja/docs/ARIA/Accessible_Rich_Internet_Applications) - MDN
* [アクセシビリティのための設計](http://msdn.microsoft.com/ja-jp/library/windows/apps/hh700407.aspx) - MSDN Library


####iOS

* [iOSアプリケーション プログラミングガイド](https://developer.apple.com/jp/devcenter/ios/library/documentation/iPhoneAppProgrammingGuide.pdf) (PDF) - Apple Developer
* [初めての iOS アプリケーション](https://developer.apple.com/jp/devcenter/ios/library/documentation/iPhone101.pdf) (PDF) - Apple Developer
* [Cocoa Programming Tips 1001](http://hmdt.jp/tips/cocoa/index.html)


####グラフィックスプログラミング

* [GLUTによる「手抜き」OpenGL入門](http://www.wakayama-u.ac.jp/~tokoi/opengl/libglut.html)
* [仮想物理実験室構築のためのOpenGL, WebGL, GLSL入門](http://www.natural-science.or.jp/laboratory/opengl_intro.php)
* [iOS OpenGL ES プログラミングガイド](https://developer.apple.com/jp/devcenter/ios/library/documentation/OpenGLES_ProgrammingGuide.pdf) (PDF) - Apple Developer

* [DirectX を使った初めての Windows ストア アプリの作成](http://msdn.microsoft.com/ja-jp/library/windows/apps/br229580.aspx) - MSDN Library
* [CUDA プログラミング入門](http://accc.riken.jp/secure/4467/cuda-programming_main.pdf) (PDF)


####グラフィックユーザーインターフェイス

* [Qtプログラミング入門](http://densan-labs.net/tech/qt/)
* [入門GTK+ 第3版](http://www.iim.ics.tut.ac.jp/~sugaya/wiki/wiki/index.php?GTK%2FGNOME%A4%CB%A4%E8%A4%EBGUI%A5%D7%A5%ED%A5%B0%A5%E9%A5%DF%A5%F3%A5%B0#s8b2472b) (PDF)


####正規表現
* [正規表現メモ](http://www.kt.rim.or.jp/~kbk/regex/regex.html)
* [.NET Framework の正規表現](http://msdn.microsoft.com/ja-jp/library/vstudio/hs600312.aspx) - MSDN Library


####ソフトウェアアーキテクチャ

* [Java プログラマのためのデザインパターン入門](http://objectclub.jp/technicaldoc/pattern/DPforJavaProgrammers)
* [ギコ猫とデザインパターン](http://www.hyuki.com/dp/cat_index.html)
* [サルでもわかる 逆引きデザインパターン](http://www.nulab.co.jp/designPatterns/designPatterns1/designPatterns1-1.html)
* [チャートで解るリファクタリング](http://objectclub.jp/technicaldoc/refactoring/u_s_r)


####その他の話題

* [徹底解剖「G1GC」実装編](http://www.narihiro.info/g1gc-impl-book/)
* [一般教養としてのGarbage Collection](http://matsu-www.is.titech.ac.jp/~endo/gc/gc.pdf) (PDF)
* [ケヴィン・ケリー著作選集　１](http://tatsu-zine.com/books/kk1)
* [ケヴィン・ケリー著作選集　２](http://tatsu-zine.com/books/kk2)
* [青木靖 翻訳集](http://www.aoky.net/)


###AppleScript

* [AppleScript 最速基本文法マスター](http://mc909j.blogspot.jp/2013/03/applescript.html)
* [Applescriptのごく基本的なサンプル](http://www.asahi-net.or.jp/~va5n-okmt/factory/applescript/sample_code/)
* [Bash でやってることを AppleScript でやろうとするとこうなる](http://qiita.com/mattintosh4/items/353c57ba75eda20af3c4)
* [AppleScript 言語ガイド(改訂版)](https://sites.google.com/site/zzaatrans/home/applescriptlangguide)


###AWK

* [AWKの第一歩](http://lagendra.s.kanazawa-u.ac.jp/ogurisu/manuals/awk/intro/index.html)
* [Effective AWK Programming](http://www.kt.rim.or.jp/~kbk/gawk-30/gawk_toc.html)


###Bash

* [Bash基礎文法最速マスター](http://d.hatena.ne.jp/nattou_curry_2/20100131/1264910483)
* [UNIX & Linux コマンド・シェルスクリプト リファレンス](http://shellscript.sunone.me/)


###C

* [Ｃプログラミング診断室](http://www.pro.or.jp/~fuji/mybooks/cdiag/index.html)
* [猫でもわかるプログラミング](http://kumei.ne.jp/c_lang/)
* [C言語プログラミング入門](http://karetta.jp/book-cover/c-for-beginners)
* [ゲーム作りで学ぶ! 実践的C言語プログラミング](http://karetta.jp/book-cover/game-programming)
* [計算物理のためのC/C++言語入門](http://www-cms.phys.s.u-tokyo.ac.jp/~naoki/CIPINTRO/)
* [C言語](http://ja.wikibooks.org/wiki/C%E8%A8%80%E8%AA%9E) - Wikibooks


###C++

* [C++入門](http://www.asahi-net.or.jp/~yf8k-kbys/newcpp0.html)
* [ロベールのＣ＋＋教室](http://www7b.biglobe.ne.jp/~robe/cpphtml/)
* [cpprefjp - C++ Reference Site in Japanese](https://sites.google.com/site/cpprefjp/)


###CoffeeScript

* [The Little Book on CoffeeScript](http://minghai.github.io/library/coffeescript/index.html)
* [CoffeeScript 言語リファレンス](http://memo.sappari.org/coffeescript/coffeescript-langref)
* [基本操作逆引きリファレンス（CoffeeScript）](http://kyu-mu.net/coffeescript/revref/)
* [正規表現リファレンス（CoffeeScript)](http://kyu-mu.net/coffeescript/regexp/)


###Common Lisp

* [Common Lisp 入門](http://www.geocities.jp/m_hiroi/xyzzy_lisp.html)
* [LISP and PROLOG](http://home.soka.ac.jp/~unemi/LispProlog/)
* [マンガで分かるLisp(Manga Guide to Lisp)](http://lambda.bugyo.tk/cdr/mwl/)


###Emacs Lisp

* [Emacs Lisp基礎文法最速マスター](http://d.hatena.ne.jp/rubikitch/20100201/elispsyntax)
* [GNU Emacs Lispリファレンスマニュアル](http://www.bookshelf.jp/texi/elisp-manual/21-2-8/jp/elisp.html)


###Erlang

* [お気楽 Erlang プログラミング入門](http://www.geocities.jp/m_hiroi/func/erlang.html)


###Git

* [Pro Git](http://git-scm.com/book/ja) (HTML), ([PDF, EPUB, MOBI](http://progit-ja.github.io/))
* [Git ユーザマニュアル (バージョン 1.5.3 以降用)](http://cdn8.atwikiimg.com/git_jp/pub/git-manual-jp/Documentation/user-manual.html)

###Go

* [Goプログラミング言語のチュートリアル](http://golang.jp/go_tutorial)


###Haskell

* [Haskell基礎文法最速マスター](http://d.hatena.ne.jp/ruicc/20100131/1264905896)
* [お気楽 Haskell プログラミング入門](http://www.geocities.jp/m_hiroi/func/haskell.html)


###Haxe

* [Haxe 言語リファレンス](http://haxe.org/ref?lang=jp)


###Java

* [Java基礎文法最速マスター](http://d.hatena.ne.jp/nattou_curry_2/20100130/1264821094)
* [お気楽 Java プログラミング入門](http://www.geocities.jp/m_hiroi/java/index.html)
* [頑健なJavaプログラムの書き方](http://www.alles.or.jp/~torutk/oojava/codingStandard/writingrobustjavacode.html)


###JavaScript

* [JavaScript基礎文法最速マスター](http://gifnksm.hatenablog.jp/entry/20100131/1264934942)
* [Mozilla Developer Network 日本語ドキュメント](https://developer.mozilla.org/ja/docs/Web/JavaScript)
* [JavaScript 言語リファレンス](http://msdn.microsoft.com/ja-jp/library/d1et7k7c.aspx) - MSDN Library
* [JavaScript Programming](http://www.geocities.jp/m_hiroi/light/javascript.html)
* [一撃必殺JavaScript日本語リファレンス](http://www.openspc2.org/JavaScript/)


####Backbone.js

* [Backboneドキュメント日本語訳](https://github.com/enja-oss/Backbone) (GitHub)


####D3.js

* [D3 チュートリアル](http://ja.d3js.info/alignedleft/tutorials/d3/)


####jQuery

* [jQuery日本語リファレンス](http://semooh.jp/jquery/)
* [jQuery UI API 1.8.4 日本語リファレンス](http://stacktrace.jp/jquery/ui/)


####Node.js

* [Nodeビギナーズブック](http://www.nodebeginner.org/index-jp.html)
* [node.js 怒濤の50サンプル!! – socket.io編](https://github.com/omatoro/NodeSample) (GitHub)


###LaTeX

* [TeX入門](http://oku.edu.mie-u.ac.jp/~okumura/texwiki/?TeX%E5%85%A5%E9%96%80) - TeX Wiki
* [TeX入門](http://www.comp.tmu.ac.jp/tsakai/lectures/intro_tex.html) - 首都大学東京 酒井高司研究室
* [TeX/LaTeX入門](http://ja.wikibooks.org/wiki/TeX/LaTeX%E5%85%A5%E9%96%80) - Wikibooks

###Lua

* [Lua 5.1 リファレンスマニュアル](http://milkpot.sakura.ne.jp/lua/lua51_manual_ja.html)
* [Lua Programming](http://www.geocities.jp/m_hiroi/light/lua.html)
* [Luaプログラミング入門](http://densan-labs.net/tech/lua/)


###NoSQL

* [MongoDBの薄い本](http://www.cuspy.org/diary/2012-04-17/the-little-mongodb-book-ja.pdf) (PDF)
* [Hibari アプリケーション開発者ガイド](http://hibari.github.io/hibari-doc/hibari-app-developer-guide.ja.html)


###Objective-C

* [Objective-C 最速基礎文法マスター](http://d.hatena.ne.jp/fn7/20100203/1265207098)
* [Objective-Cによるプログラミング](https://developer.apple.com/jp/devcenter/ios/library/documentation/ProgrammingWithObjectiveC.pdf) (PDF) - Apple Developer
* [Objective-Cプログラミング言語](https://developer.apple.com/jp/devcenter/ios/library/documentation/ObjC.pdf) (PDF) - Apple Developer
* [Objective-C プログラミングの概念](https://developer.apple.com/jp/devcenter/ios/library/documentation/CocoaEncyclopedia.pdf) (PDF) - Apple Developer


###OCaml

* [Objective Caml 入門](http://www.fos.kuis.kyoto-u.ac.jp/~t-sekiym/classes/isle4/mltext/ocaml.html)
* [お気楽 OCaml プログラミング入門](http://www.geocities.jp/m_hiroi/func/ocaml.html)


###Perl

* [Perl基礎文法最速マスター](http://d.hatena.ne.jp/perlcodesample/20091226/1264257759)
* [Perlのコアドキュメント](http://perldoc.jp/index/core)
* [2時間半で学ぶPerl](http://qntm.org/files/perl/perl_jp.html)
* [Perl](http://ja.wikibooks.org/wiki/Perl) - Wikibooks


###Processing

* [Processingクイックリファレンス](http://www.musashinodenpa.com/p5/)
* [Processing 学習ノート](http://www.d-improvement.jp/learning/processing/)
* [Processing入門講座](http://ap.kakoku.net/index.html)


###PHP

* [PHP基礎文法最速マスター](http://www.1x1.jp/blog/2010/01/php-basic-syntax.html)
* [PHP マニュアル](http://www.php.net/manual/ja/)


###PowerShell

* [PowerShell基礎文法最速マスター](http://winscript.jp/powershell/202)
* [Windows PowerShell コア](http://technet.microsoft.com/ja-jp/library/bb978525.aspx)


###Prolog

* [Prolog プログラミング入門](http://bach.istc.kobe-u.ac.jp/prolog/intro/)
* [お気楽 Prolog プログラミング入門](http://www.geocities.jp/m_hiroi/prolog/index.html)
* [LISP and PROLOG](http://home.soka.ac.jp/~unemi/LispProlog/)


###Python

* [Python基礎文法最速マスター](http://d.hatena.ne.jp/dplusplus/20100126/p1)
* [Python 2.7.2 ドキュメント日本語訳](http://docs.python.jp/2.7/)
* [Python の学習](http://skitazaki.github.io/python-school-ja/index.html)
* [Effective Python](http://morchin.sakura.ne.jp/effective_python/)


###R

* [R 入門](http://cran.r-project.org/doc/contrib/manuals-jp/R-intro-170.jp.pdf) (PDF)
* [R 言語定義](http://cran.r-project.org/doc/contrib/manuals-jp/R-lang.jp.v110.pdf) (PDF)
* [R 基本統計関数マニュアル](http://cran.r-project.org/doc/contrib/manuals-jp/Mase-Rstatman.pdf) (PDF)
* [R-Tips](http://cse.naro.affrc.go.jp/takezawa/r-tips/r2.html)
* [統計解析フリーソフトRの備忘録](http://cse.naro.affrc.go.jp/takezawa/r-tips.pdf) (PDF)
* [Rによる保健医療データ解析演習](http://minato.sip21c.org/msb/medstatbook.pdf) (PDF)
* [Rによる統計解析の基礎](http://minato.sip21c.org/statlib/stat.pdf) (PDF)
* [無料統計ソフトRで心理学](http://blue.zero.jp/yokumura/Rhtml/Haebera2002.html)


###Ruby

* [Ruby基礎文法最速マスター](http://route477.net/d/?date=20100125)
* [Ruby リファレンスマニュアル](https://www.ruby-lang.org/ja/documentation/)
* [Rubyソースコード完全解説](http://i.loveruby.net/ja/rhg/book/)
* [ホワイの(感動的)Rubyガイド](http://www.aoky.net/articles/why_poignant_guide_to_ruby/)
* [お気楽 Ruby プログラミング入門](http://www.geocities.jp/m_hiroi/light/ruby.html)


###Scheme

* [Gauche ユーザリファレンス](http://practical-scheme.net/gauche/man/gauche-refj.html)
* [Gaucheプログラミング](http://karetta.jp/book-cover/gauche-hacks)
* [お気楽 Scheme プログラミング入門](http://www.geocities.jp/m_hiroi/func/scheme.html)
* [Scheme](http://ja.wikibooks.org/wiki/Scheme) - Wikibooks


###Standard ML

* [プログラミング言語SML#解説](http://www.pllab.riec.tohoku.ac.jp/smlsharp/docs/1.0/ja/manual.xhtml)
* [お気楽 Standard ML of New Jersey 入門](http://www.geocities.jp/m_hiroi/func/index.html#sml)


###Squeak

* [自由自在 Squeakプログラミング](http://swikis.ddo.jp/squeak/13)


###Tcl/Tk

* [Tcl/Tk お気楽 GUI プログラミング](http://www.geocities.jp/m_hiroi/tcl_tk_doc/tcltk_doc.html)
* [Tcl/TkでWindowsプログラミング](http://homepage3.nifty.com/kaku-chan/tcl_tk/)
* [Tcl/Tk入門](http://aoba.cc.saga-u.ac.jp/lecture/TclTk/text.pdf) (PDF)


###VBA

* [VBA基礎文法最速マスター](http://d.hatena.ne.jp/nattou_curry_2/20100129/1264787849)
* [Office 2013 Visual Basic for Applications 言語リファレンス](http://msdn.microsoft.com/ja-jp/library/office/gg264383.aspx) - MSDN Library
* [Excel 2013 で学ぶ Visual Basic for Applications (VBA)](http://brain.cc.kogakuin.ac.jp/~kanamaru/lecture/vba2013/index.html)

###Vim

* [Vimスクリプト基礎文法最速マスター](http://d.hatena.ne.jp/thinca/20100201/1265009821)
* [Vimスクリプトリファレンス](http://nanasi.jp/code.html)

